View Issue Details

IDProjectCategoryView StatusLast Update
0000226Cinelerra-GG[All Projects] Bugpublic2019-06-30 22:23
ReporterPhyllisSmithAssigned Togoodguy 
PrioritylowSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2019-06 
Summary0000226: X11-OpenGL: Transparent areas in graphics are completely black
Description"X11-OpenGL: Transparent areas in graphics are completely black."

+ Paraphrase: "In the latest update, 20190531, Arch/Manjaro, the title background is black with no obvious way to make it transparent in both the installed and single-user versions, but is fine with the previous release."
TagsNo tags attached.

Activities

PhyllisSmith

PhyllisSmith

2019-06-30 22:23

manager   ~0001836

Reported as fixed and is now in the end of the month new builds.
Olaf

Olaf

2019-06-04 09:33

reporter   ~0001649

X11-OpenGL fix: Everything's fine so far, no misconduct detected. (*I don't use the titler.)
PhyllisSmith

PhyllisSmith

2019-06-04 03:57

manager   ~0001648

The fix was checked into GIT. I tested the test file provided by Olaf with 2 sessions up side by side in the Compositor, and they both appear the same to me. Correct me if I am wrong. Also, I had made a test file based on Dejay Title transparency issue and that now works correctly too as far as I know.
PhyllisSmith

PhyllisSmith

2019-06-03 03:00

manager   ~0001637

Wanted to make others aware of this problem as quickly discovered and reported by Olaf and DeJay. It is in the 05312019 builds so is a bad problem.
Workaround is to switch from X11-OpenGL Video Driver (Settings->Preferences, Playback A, Video Driver) or use the 04302019 build.
A fix has been generated but still testing so probably will check into GIT later tomorrow.

Issue History

Date Modified Username Field Change
2019-06-02 22:32 PhyllisSmith New Issue
2019-06-03 01:28 PhyllisSmith Summary Title background is black and => Title background is black but should be transparent
2019-06-03 02:51 PhyllisSmith Summary Title background is black but should be transparent => X11-OpenGL: Transparent areas in graphics are completely black
2019-06-03 02:51 PhyllisSmith Description Updated View Revisions
2019-06-03 02:52 PhyllisSmith Assigned To => goodguy
2019-06-03 02:52 PhyllisSmith Status new => assigned
2019-06-03 03:00 PhyllisSmith Status assigned => confirmed
2019-06-03 03:00 PhyllisSmith Note Added: 0001637
2019-06-04 03:57 PhyllisSmith Note Added: 0001648
2019-06-04 09:33 Olaf Note Added: 0001649
2019-06-05 02:02 PhyllisSmith Status confirmed => resolved
2019-06-05 02:02 PhyllisSmith Resolution open => fixed
2019-06-05 02:02 PhyllisSmith Fixed in Version => 2019-06
2019-06-30 22:23 PhyllisSmith Status resolved => closed
2019-06-30 22:23 PhyllisSmith Note Added: 0001836